<?php
// Запрет прямого доступа.
defined('_JEXEC') or die;
// Подключаем тип поля list.
jimport('joomla.form.helper');
JFormHelper::loadFieldClass('list');

class JFormFieldKontakt extends JFormFieldList
{

	protected $type = 'Kontakt';
    
	protected function getOptions() 
	{
		$options = array();
		$iden = $this->id;
		// Получаем объект базы данных.
		$db = JFactory::getDBO();
		// Конструируем SQL запрос.
		$query = $db->getQuery(true);
		
		if($iden == 'jform_request_id'){
		    $query->select('#__kontakt.id as id, job, #__categories.title as category, catid')
				  ->from('#__kontakt')
				  ->leftJoin('#__categories on catid = #__categories.id');
		    $db->setQuery($query);
		    $messages = $db->loadObjectList();
		    if ($messages)
		    {
			    foreach($messages as $message) 
			    {
				    $options[] = JHtml::_('select.option', $message->id, $message->job .
										 ($message->catid ? ' (' . $message->category . ')' : ''));
			    }
		    }
		}else{
		    $query->select('#__kontakt.id as id, job, email, lastname, site, tel, shbl, #__categories.title as category, catid')
				  ->from('#__kontakt')
				  ->leftJoin('#__categories on catid = #__categories.id');
		    $db->setQuery($query);
		    $messages = $db->loadObjectList();
		    if ($messages)
		    {
			    foreach($messages as $message) 
			    {
				    $options[] = JHtml::_('select.option', $message->id, $message->job, $message->email, $message->lastname, $message->site, $message->tel, $message->shbl .
										 ($message->catid ? ' (' . $message->category . ')' : ''));
			    }
		    }
		}
		$options = array_merge(parent::getOptions(), $options);
		return $options;
	}
}