<?php
// Запрет прямого доступа.
defined('_JEXEC') or die;

//Файл-скрипт для компонента Контакт.
class com_KontaktInstallerScript
{
	// Метод для установки компонента. param object Класс, который вызывает этом метод. return void
	function install($parent) 
	{
		$parent->getParent()->setRedirectURL('index.php?option=com_kontakt');
	}

	// Метод для удаления компонента. param object Класс, который вызывает этом метод. return void
	function uninstall($parent) 
	{
		echo '<p>' . JText::_('COM_KONTAKT_UNINSTALL_TEXT') . '</p>';
	}

	// Метод для обновления компонента. param object Класс, который вызывает этом метод. return void
 	function update($parent) 
	{
		echo '<p>' . JText::sprintf('COM_KONTAKT_UPDATE_TEXT', $parent->get('manifest')->version) . '</p>';
	}

	/* Метод, который исполняется до install/update/uninstall.
	   @param  object  $type     Тип изменений: install, update или discover_install
	   @param  object  $parent  Класс, который вызывает этом метод. Класс, который вызывает этом метод.
       @return void	 */
	function preflight($type, $parent) 
	{
		echo '<p>' . JText::_('COM_KONTAKT_PREFLIGHT_' . $type . '_TEXT') . '</p>';
	}

	/* Метод, который исполняется после install/update/uninstall.
	   @param  object  $type     Тип изменений: install, update или discover_install
	   @param  object  $parent  Класс, который вызывает этом метод. Класс, который вызывает этом метод.
	   @return void	 */
	function postflight($type, $parent) 
	{
		echo '<p>' . JText::_('COM_KONTAKT_POSTFLIGHT_' . $type . '_TEXT') . '</p>';
	}
}